Fly Away Simulation
SearchSearch 

FSNav

Pro Member Trainee
boxer10 Trainee

I've had a look around the forum, and cannot see anything relating to this, so please don't shout at me if I missed it.... Embarassed

Will my current version of FSNav work with FSX?

I bet it don't, and I have to pay for it again.....

Evil or Very Mad

Pro Member Chief Captain
CRJCapt Chief Captain

boxer10 wrote:

I've had a look around the forum, and cannot see anything relating to this, so please don't shout at me if I missed it.... Embarassed
Will my current version of FSNav work with FSX?

The present version FSNavigator 4.7 is not compatible with FSX.
FSNavigator version 5 is being developed, and is expected to be available mid-2007. For owners of FSNavigator 4.x there will be no upgrade to version 5. FSNavigator 5 will be introduced at a low price.

Pro Member Chief Captain
CrashGordon Chief Captain

Besides, no one ever shouts around here. Shocked Rolling Eyes Laughing Wink

Pro Member Trainee
boxer10 Trainee

What a surprise.....

Thanks guys Smile

All times are GMT Page 1 of 1

Related Questions